Bug 1178247 - irqbalance memory leak
Summary: irqbalance memory leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: irqbalance
Version: 6.6
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: ---
Assignee: Petr Holasek
QA Contact: Andrej Manduch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-03 04:00 UTC by David van de Meer
Modified: 2016-10-04 04:14 UTC (History)
4 users (show)

Fixed In Version: irqbalance-1.0.7-2.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the /sys/bus/pci/devices file handle was not freed properly if the directory was not available. As a consequence, a memory leak occurred. With this update, the file handle is freed as expected when irqbalance cannot open the directory, and memory leaks no longer occur in the described situation.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:11:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1279 normal SHIPPED_LIVE irqbalance bug fix and enhancement update 2015-07-20 17:49:09 UTC

Description David van de Meer 2015-01-03 04:00:37 UTC
Irqbalance contains a bug in 1.0.4 which causes a memory leak on systems where /sys/bus/pci/devices is not available, such as on some virtual machines. The problem has been filed and a solution is available from irqbalance by simply updating to the latest version of irqbalance - v1.0.8 

https://github.com/Irqbalance/irqbalance/issues/13 [^]

The issue was resolved upstream but the patch does not apply to 1.0.4:
https://github.com/Irqbalance/irqbalance/commit/699deffdd881bf4759f3fcc4d6ee3e018e4c266e [^]

Comment 5 errata-xmlrpc 2015-07-22 06:11:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1279.html


Note You need to log in before you can comment on or make changes to this bug.